## AgsOscInfoController

AgsOscInfoController — OSC info controller

## Stability Level

Stable, unless otherwise indicated

## Functions

gpointer | ags_osc_info_controller_get_info ()
AgsOscInfoController * | ags_osc_info_controller_new ()

## Signals

gpointer | get-info | Run Last

## Object Hierarchy

        GObject
        ╰── AgsOscController
            ╰── AgsOscInfoController

## Includes

    #include <ags/audio/osc/controller/ags_osc_info_controller.h>

## Description

The AgsOscInfoController implements the OSC info controller.

## Functions

### ags_osc_info_controller_get_info ()

    gpointer
    ags_osc_info_controller_get_info (AgsOscInfoController *osc_info_controller,
                                      AgsOscConnection *osc_connection,
                                      guchar *message,
                                      guint message_size);

Get info.

#### Parameters

osc_info_controller | the AgsOscInfoController |
osc_connection | the AgsOscConnection |
message | the message received |
message_size | the message size |

#### Returns

the GList containing AgsOscResponse

Since: 3.0.0

### ags_osc_info_controller_new ()

    AgsOscInfoController *
    ags_osc_info_controller_new ();

Instantiate new AgsOscInfoController

#### Returns

the AgsOscInfoController

Since: 3.0.0

## Signal Details

### The `“get-info”` signal

    gpointer
    user_function (AgsOscInfoController *osc_info_controller,
                   GObject              *osc_connection,
                   gpointer              message,
                   guint                 message_size,
                   gpointer              user_data)

The ::get-info signal is emited during get info of info controller.

#### Parameters

osc_info_controller | the AgsOscInfoController |
osc_connection | the AgsOscConnection |
message | the message received |
message_size | the message size |
user_data | user data set when the signal handler was connected. |

#### Returns

the AgsOscResponse

Flags: Run Last

Since: 3.0.0